package ru.ulstu.conference.controller;


import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import ru.ulstu.conference.model.ConferenceFilterDto;
import ru.ulstu.conference.service.ConferenceService;
import ru.ulstu.paper.model.PaperDto;
import springfox.documentation.annotations.ApiIgnore;

@Controller()
@RequestMapping(value = "/conferences")
@ApiIgnore
public class ConferenceController {

    private final ConferenceService conferenceService;

    public ConferenceController(ConferenceService paperService) {
        this.conferenceService = paperService;
    }

    @GetMapping("/conferences")
    public void getConferences(ModelMap modelMap) {
        modelMap.put("filteredConferences", new ConferenceFilterDto(conferenceService.findAllDto(),
                null, null));
    }

    @GetMapping("/conference")
    public void getConference(ModelMap modelMap, @RequestParam(value = "id") Integer id) {
        if (id != null && id > 0) {
            modelMap.put("conferenceDto", conferenceService.findOneDto(id));
        } else {
            modelMap.put("conferenceDto", new PaperDto());
        }
    }
}
